| Haskell Hierarchical Libraries (base package) | Contents | Index

GHC.STRef

Portability | non-portable (GHC Extensions)
Stability | internal
Maintainer | cvs-ghc@haskell.org

Description
References in the `ST` monad.
Synopsis

data STRef s a = STRef (MutVar# s a)
newSTRef :: a -> ST s (STRef s a)
readSTRef :: STRef s a -> ST s a
writeSTRef :: STRef s a -> a -> ST s ()

Documentation
data STRef s a

a value of type `STRef s a` is a mutable variable in state thread `s`, containing a value of type `a`
Constructors

STRef (MutVar# s a) |

Instances

(Typeable a, Typeable b) => Typeable (STRef a b)
Eq (STRef s a)

newSTRef :: a -> ST s (STRef s a)
Build a new `STRef` in the current state thread
readSTRef :: STRef s a -> ST s a
Read the value of an `STRef`
writeSTRef :: STRef s a -> a -> ST s ()
Write a new value into an `STRef`
Produced by Haddock version 0.6